summaryrefslogtreecommitdiff
path: root/packaging/switch-to-dbus.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/switch-to-dbus.sh')
-rwxr-xr-xpackaging/switch-to-dbus.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/packaging/switch-to-dbus.sh b/packaging/switch-to-dbus.sh
new file mode 100755
index 00000000..8fd5f8e4
--- /dev/null
+++ b/packaging/switch-to-dbus.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+CONF_DIR_PATH="/etc/dbus-1/conf_dbus"
+
+echo "copying legacy dbus modified service files..."
+rm /usr/lib/systemd/system/graphical.target.wants/xorg.target 2>/dev/null
+rm -rf /usr/lib/systemd/system/xorg* 2>/dev/null
+rm /usr/lib/systemd/user/tizen-middleware.target.wants/dbus.service 2>/dev/null
+ln -s /usr/lib/systemd/user/xorg.service /usr/lib/systemd/user/xorg.target.wants/
+ln -s /usr/lib/systemd/user/xorg_done.service /usr/lib/systemd/user/xorg.target.wants/
+cp -a $CONF_DIR_PATH/* /
+if [ "$?" -ne 0 ]; then
+ echo "error occured on copying!"
+else
+ echo "syncing..."
+ sync
+ echo "now reset and flash the kernel not using kdbus"
+fi